diff -aruN --binary 14/CREDITS.php 15/CREDITS.php
--- 14/CREDITS.php	2009-06-30 22:01:32.000000000 +0200
+++ 15/CREDITS.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: CREDITS.php 12356 2009-06-24 18:20:14Z ian $
+ * @version		$Id: CREDITS.php 13370 2009-10-28 14:48:04Z ian $
  * @package		Joomla
  * @copyright	Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
@@ -66,10 +66,9 @@
 
 Translation contributors:
 -------------------------
-Translation contributors:
--------------------------
 Albanian (sp-AL) - Blendi Kraja
 Arabic Algeria (ar-DZ) - Saber Bousba
+Azeri (az-AZ) - Azeri Translation Team - Mahmud and Yusif
 Basque (eu-ES) - Basque Translation Team (Basque Language School of Santurtzi) - Abel Camacho, Pedro Lonbide
 Belarusian (be-BY) - Dennis Hermacki
 Bengali (bn-BD) – Kamal Sikder
@@ -80,6 +79,7 @@
 Croatian (hr-HR) - Croatian Translation Team - Klaudia B.
 Czech (cs-CZ) - Czech Translation Team - Svatopluk Vit
 Danish (da-DK) - Danish Translation Team - Ronny Buelund, Mikael Winther, Ole Bang Ottosen
+Dari (Afghanistan) (fa-AF) - Dari (Afghanistan) Translation Team - Daud Nigaresh
 Dutch (nl-NL) - Dutch Translation Team - Vancanneyt Sander, Marijke Stuivenberg
 English (en-US) -  US English Translation Team - Jennifer Marriott
 Esperanto (eo-XX) - Esperanto Translation Team - Cindy McKee, Fabien Tschudy
@@ -93,14 +93,17 @@
 Hindi-Devanagari (hi-IN) - IndicJoomla! Team - Vishal Pahuja
 Hungarian (hu-HU) - Magyar Joomla! Felhasznalok Nemzetkozi Egyesulete - Jozsef Tamas Herczeg, Annamaria Ban
 Icelandic (is-IS) - Joomlis! Icelandic Joomla Community [joomlis.net] - Magnús Guðlaugsson
+Indonesian (id-ID) - Indonesian (Bahasa Indonesia) Translation Community - Andy Sikumbang
 Italian (it-IT) - Italian Translation Team - Stefania Gaianigo, Alessandro Rossi
 Japanese (ja-JP) - Japanese Translation Team - Noriaki Koide, Hiroko Hirano
+Khmer (Cambodia) (km-KH) - Khmer (Cambodia) Translation Team - Heng Sovann
 Laotian (lo-LA) - Joomla LaiLao Team (LaoOpenSource) - Akarawuth Tamrareang , Viengsakhone phanthanousy , Outhai Saioudom
 Latvian (lv-LV) - Joomla Latvian Team - Edgars Piruška, Iveta Rītiņa-Namiķe, Ingars Stepkāns
 Lithuanian (lt-LT) - Lithuanian Translation Team - Stasys Svabas
 Mongolian (mn-MN) - Mongolian Translation Team, Altansukh T.
 Montenegrin (sr-ME) - Montenegrin Translation Team (joomlamontenegro.com) - Miljan Vujosevic, Dragan Djordjevic
 Norwegian bokmål (nb-NO) - Joomla! i Norge - Jens-Christian Skibakk, Rune Rasmussen
+Pashto (Afghanistan) (ps-AF) - Pashto (Afghanistan) Translation Team - Daud Nigaresh
 Persian/Farsi (fa-IR) - Joomfa Team(Joomla Farsi) - M.Alavi nik, Hamid abolhasani,Amin bagheri,Sayyed Saeed farzad,Sayyed ahmad sayyedi,Vahid Hosein Khani,Omid pileh var
 Polish - Poland (pl-PL) - Polskie Centrum Joomla! - Michał Sobkowiak, Stefan Wajda
 Portuguese Brazilian (pt-BR) - Joomla! Brasil - Fabricio Elias Costa (FaBMak)
@@ -111,12 +114,14 @@
 Sindhi (sd-PK) - Raheel H. Kaghzi, Shafiq-ur-rehman Khatri
 Sinhala (si-LK) - Rashan Anushka
 Slovak (sk-SK) - Slovak Translation Team - Karol Cejka, Viliam Kmec, Alexander Horvath, Marek Sabo
+Slovenian (sl-SI) - Slovenian Translation Team - Borut Planinc
 Spanish (es-ES) - Joomla!'s Spanish Community Translation Team - Javier Galasse
 Swedish (sv-SE) - Swedish Translation Team (SvenskJoomla!) - Sune Hultman, Christer Gerhardsson
-Syriac (sy-IQ) - Pauls! Dinka
+Syriac (sy-IQ) - East Syriac Translation (Syriac Joomla) - Pauls Dinka
+Tagalog (Philippines) (tl-PH) - Tagalog (Philippines) Translation Community - Aristedes Royo
 Tamil (ta-LK) - Sri Lanka -UoM, LK, sarves
 Thai (th-TH) - Joomla LaiThai Team (JoomlaCorner) - Akarawuth Tamrareang , Supachai Teasakul, Pisan Chueachatchai
-Turkish (tr-TR) - Joomla! Turkiye - Ümit Kenan Gönüllü, Uğur Uygur
+Turkish (tr-TR) - Joomla! Turkiye - Ümit Kenan Gönüllü
 Ukrainian (uk-UA) - Ukrainian Translation Team - Denys Nosov
 Urdu Pakistan (ur-PK) - Basim
 Vietnamese (vi-VN) - Việt Nam Translation Team - Viet Hoang Vu
diff -aruN --binary 14/includes/framework.php 15/includes/framework.php
--- 14/includes/framework.php	2009-07-30 21:02:22.000000000 +0200
+++ 15/includes/framework.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: framework.php 12584 2009-07-30 17:46:47Z ian $
+* @version		$Id: framework.php 13415 2009-11-03 15:53:25Z ian $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
diff -aruN --binary 14/includes/router.php 15/includes/router.php
--- 14/includes/router.php	2009-05-29 14:54:02.000000000 +0200
+++ 15/includes/router.php	2009-11-04 18:51:20.000000000 +0100
@@ -145,7 +145,9 @@
 		if(count($this->getVars()) == 1)
 		{
 			$item = $menu->getItem($this->getVar('Itemid'));
-			$vars = $vars + $item->query;
+			if($item !== NULL && is_array($item->query)) {
+				$vars = $vars + $item->query;
+			}
 		}
 
 		// Set the active menu item
diff -aruN --binary 14/language/en-GB/en-GB.ini 15/language/en-GB/en-GB.ini
--- 14/language/en-GB/en-GB.ini	2009-06-30 22:01:32.000000000 +0200
+++ 15/language/en-GB/en-GB.ini	2009-11-04 18:51:20.000000000 +0100
@@ -107,7 +107,7 @@
 (UTC +06:30) YAGOON=(UTC +06:30) Yagoon
 (UTC +07:00) BANGKOK, HANOI, JAKARTA=(UTC +07:00) Bangkok, Hanoi, Jakarta
 (UTC +08:00) BEIJING, PERTH, SINGAPORE, HONG KONG=(UTC +08:00) Beijing, Perth, Singapore, Hong Kong
-(UTC +08:00) WESTERN AUSTRALIA=(UTC +08:00) Western Australia
+(UTC +08:00) ULAANBAATAR, WESTERN AUSTRALIA=(UTC +08:00) Ulaanbaatar, Western Australia
 (UTC +09:00) TOKYO, SEOUL, OSAKA, SAPPORO, YAKUTSK=(UTC +09:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk
 (UTC +09:30) ADELAIDE, DARWIN, YAKUTSK=(UTC +09:30) Adelaide, Darwin, Yakutsk
 (UTC +10:00) EASTERN AUSTRALIA, GUAM, VLADIVOSTOK=(UTC +10:00) Eastern Australia, Guam, Vladivostok
@@ -171,6 +171,7 @@
 DESCNEWITEMSFIRST=New items default to the first position. Ordering can be changed after this item has been saved.
 DESCNEWITEMSLAST=New items default to the last position. Ordering can be changed after this item has been saved.
 DIRECTORY UNWRITABLE=Directory Unwritable
+DISPLAY NUM=Display #
 E_LOGIN_AUTHENTICATE=Username and password do not match or you do not have an account yet.
 E_NOLOGIN_BLOCKED=Login denied! Your account has either been blocked or you have not activated it yet. Did you not get an activation e-mail and follow the validation link?
 EDIT=edit
@@ -195,6 +196,7 @@
 IMAGE=Image
 ITEMS=items
 JOOMLA WARNING=<font color="red">Joomla! Warning!</font>
+JPAGE_CURRENT_OF_TOTAL=Page %s of %s
 LAST=last
 LAST UPDATED=Last Updated
 LAST_UPDATED2=Last Updated on %s
diff -aruN --binary 14/language/en-GB/en-GB.mod_search.ini 15/language/en-GB/en-GB.mod_search.ini
--- 14/language/en-GB/en-GB.mod_search.ini	2009-05-29 14:52:48.000000000 +0200
+++ 15/language/en-GB/en-GB.mod_search.ini	2009-11-04 18:51:20.000000000 +0100
@@ -18,6 +18,7 @@
 SEARCH...=search...
 SEARCH MODULE=Search Module
 SET ITEMID=Set ItemID
+PARAMSETITEMID=Assign an ItemId for the display of the search results if there is no com_search menu and a specific display is desired. The ItemId may be chosen among those available through the Menu Manager. If you do not know what this means, you may not need it.
 SIZE OF THE SEARCH TEXT BOX IN CHARACTERS=Size of the search text box in characters
 TEXT=Text
 THIS MODULE WILL DISPLAY A SEARCH BOX=This module will display a search box.
diff -aruN --binary 14/language/es-ES/es-ES.ini 15/language/es-ES/es-ES.ini
--- 14/language/es-ES/es-ES.ini	2009-07-25 18:09:48.000000000 +0200
+++ 15/language/es-ES/es-ES.ini	2009-11-05 16:03:14.000000000 +0100
@@ -1,4 +1,4 @@
-# $Id: es-ES.ini 1.5.0 2009-07-06 10:50:23 2007-10-06 ~0 $
+# $Id: es-ES.ini 1.5.0 2009-11-05 16:03:14 2007-10-06 ~0 $
 # author Joomla! Spanish
 # copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
@@ -107,7 +107,7 @@
 (UTC +06:30) YAGOON=(UTC +06:30) Yagoon
 (UTC +07:00) BANGKOK, HANOI, JAKARTA=(UTC +07:00) Bangkok, Hanoi, Jakarta
 (UTC +08:00) BEIJING, PERTH, SINGAPORE, HONG KONG=(UTC +08:00) Beijing, Perth, Singapore, Hong Kong
-(UTC +08:00) WESTERN AUSTRALIA=(UTC +08:00) Western Australia
+(UTC +08:00) ULAANBAATAR, WESTERN AUSTRALIA=(UTC +08:00) Ulaanbaatar, Western Australia
 (UTC +09:00) TOKYO, SEOUL, OSAKA, SAPPORO, YAKUTSK=(UTC +09:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk
 (UTC +09:30) ADELAIDE, DARWIN, YAKUTSK=(UTC +09:30) Adelaide, Darwin, Yakutsk
 (UTC +10:00) EASTERN AUSTRALIA, GUAM, VLADIVOSTOK=(UTC +10:00) Eastern Australia, Guam, Vladivostok
@@ -171,6 +171,7 @@
 DESCNEWITEMSFIRST=Los nuevos artículos se sitúan en la primera posición. El orden puede ser modificado una vez guardado.
 DESCNEWITEMSLAST=Los nuevos artículos se sitúan en la última posición. El orden puede ser modificado una vez guardado.
 DIRECTORY UNWRITABLE=Directorio no escribible
+DISPLAY NUM=Exponer#
 E_LOGIN_AUTHENTICATE=El nombre de usuario y la contraseña no coinciden o usted no tiene una cuenta aún.
 E_NOLOGIN_BLOCKED=Usuario denegado! Su cuenta ha sido bloqueada o usted no ha activado aún. ¿Si no tiene una activación e-mail y siga el vínculo de validación?
 EDIT=Editar
@@ -195,6 +196,7 @@
 IMAGE=Imagen
 ITEMS=ítems
 JOOMLA WARNING=<font color="red">Advertencia de Joomla!</font>
+JPAGE_CURRENT_OF_TOTAL=Página %s de %s
 LAST=Última
 LAST UPDATED=Actualizado
 LAST_UPDATED2=Última actualización el %s
diff -aruN --binary 14/language/es-ES/es-ES.mod_search.ini 15/language/es-ES/es-ES.mod_search.ini
--- 14/language/es-ES/es-ES.mod_search.ini	2009-07-25 18:09:44.000000000 +0200
+++ 15/language/es-ES/es-ES.mod_search.ini	2009-11-05 16:05:58.000000000 +0100
@@ -1,4 +1,4 @@
-# $Id: es-ES.mod_search.ini 1.5.0 2009-01-10 21:06:08 2007-09-01 ~0 $
+# $Id: es-ES.mod_search.ini 1.5.0 2009-11-05 16:05:58 2007-09-01 ~0 $
 # author Joomla! Spanish
 # copyright (C) 2008 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
@@ -19,6 +19,7 @@
 SEARCH...=buscar...
 SEARCH MODULE=Módulo de búsqueda
 SET ITEMID=Configurar ItemID
+PARAMSETITEMID=Asigne una ItemId para la presentación de los resultados de búsqueda si no hay un menú com_search y una pantalla específica. El ItemId puede ser elegido entre los disponibles a través del Administrador de Menú. Si usted no sabe lo que esto significa, puede que no lo necesite.
 SIZE OF THE SEARCH TEXT BOX IN CHARACTERS=Tamaño de la caja de búsqueda de texto en caracteres
 TEXT=Texto
 THIS MODULE WILL DISPLAY A SEARCH BOX=Este módulo mostrará una caja de búsqueda
diff -aruN --binary 14/libraries/domit/xml_domit_lite_parser.php 15/libraries/domit/xml_domit_lite_parser.php
--- 14/libraries/domit/xml_domit_lite_parser.php	2009-05-29 14:54:44.000000000 +0200
+++ 15/libraries/domit/xml_domit_lite_parser.php	2009-11-04 18:51:20.000000000 +0100
@@ -1746,7 +1746,7 @@
 		//parse out whitespace -  (XML_OPTION_SKIP_WHITE = 1 does not
 		//seem to work consistently across versions of PHP and Expat
 		if (!$this->xmlDoc->preserveWhitespace) {
-			$xmlText = eregi_replace('>' . "[[:space:]]+" . '<' , '><', $xmlText);
+			$xmlText = preg_replace('#>' . "[[:space:]]+" . '<#i' , '><', $xmlText);
 		}
 
 		$success = xml_parse($parser, $xmlText);
diff -aruN --binary 14/libraries/domit/xml_domit_parser.php 15/libraries/domit/xml_domit_parser.php
--- 14/libraries/domit/xml_domit_parser.php	2009-05-29 14:54:44.000000000 +0200
+++ 15/libraries/domit/xml_domit_parser.php	2009-11-04 18:51:20.000000000 +0100
@@ -3309,7 +3309,7 @@
 		//parse out whitespace -  (XML_OPTION_SKIP_WHITE = 1 does not
 		//seem to work consistently across versions of PHP and Expat
 		if (!$this->xmlDoc->preserveWhitespace) {
-			$xmlText = eregi_replace('>' . "[[:space:]]+" . '<' , '><', $xmlText);
+			$xmlText = preg_replace('#>' . "[[:space:]]+" . '<#i' , '><', $xmlText);
 		}
 
 		$success = xml_parse($parser, $xmlText);
@@ -3676,4 +3676,4 @@
 
 } //DOMIT_Parser
 
-?>
\ No hay ningún carácter de nueva línea al final del fichero
+?>
diff -aruN --binary 14/libraries/joomla/application/pathway.php 15/libraries/joomla/application/pathway.php
--- 14/libraries/joomla/application/pathway.php	2009-05-29 14:54:26.000000000 +0200
+++ 15/libraries/joomla/application/pathway.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: pathway.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: pathway.php 13354 2009-10-28 02:05:38Z ian $
 * @package		Joomla.Framework
 * @subpackage	Application
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -206,7 +206,7 @@
 	function _makeItem($name, $link)
 	{
 		$item = new stdClass();
-		$item->name = html_entity_decode($name);
+		$item->name = html_entity_decode($name, ENT_COMPAT, 'UTF-8');
 		$item->link = $link;
 
 		return $item;
diff -aruN --binary 14/libraries/joomla/base/object.php 15/libraries/joomla/base/object.php
--- 14/libraries/joomla/base/object.php	2009-05-29 14:54:30.000000000 +0200
+++ 15/libraries/joomla/base/object.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: object.php 10707 2008-08-21 09:52:47Z eddieajau $
+ * @version		$Id: object.php 13341 2009-10-27 03:03:54Z ian $
  * @package		Joomla.Framework
  * @subpackage	Base
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -11,7 +11,7 @@
  * other free or open source software licenses.
  * See COPYRIGHT.php for copyright notices and details.
  */
-
+defined('JPATH_BASE') or die();
 /**
  * Object class, allowing __construct in PHP4.
  *
diff -aruN --binary 14/libraries/joomla/cache/cache.php 15/libraries/joomla/cache/cache.php
--- 14/libraries/joomla/cache/cache.php	2009-05-29 14:54:24.000000000 +0200
+++ 15/libraries/joomla/cache/cache.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: cache.php 10707 2008-08-21 09:52:47Z eddieajau $
+ * @version		$Id: cache.php 12694 2009-09-11 21:03:02Z ian $
  * @package		Joomla.Framework
  * @subpackage	Cache
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -140,7 +140,7 @@
 				require_once(dirname(__FILE__).DS.'storage'.DS.$name.'.php');
 			}
 
-			if(call_user_func_array( array( trim($class), 'test' ), null)) {
+			if(call_user_func_array( array( trim($class), 'test' ), array())) {
 				$names[] = $name;
 			}
 		}
diff -aruN --binary 14/libraries/joomla/client/helper.php 15/libraries/joomla/client/helper.php
--- 14/libraries/joomla/client/helper.php	2009-05-29 14:54:34.000000000 +0200
+++ 15/libraries/joomla/client/helper.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: helper.php 10707 2008-08-21 09:52:47Z eddieajau $
+ * @version		$Id: helper.php 13341 2009-10-27 03:03:54Z ian $
  * @package		Joomla.Framework
  * @subpackage	Client
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -9,7 +9,7 @@
  * GNU General Public License or other free or open source software licenses.
  * See COPYRIGHT.php for copyright notices and details.
  */
-
+defined('JPATH_BASE') or die();
 /**
  * Client helper class
  *
diff -aruN --binary 14/libraries/joomla/database/database.php 15/libraries/joomla/database/database.php
--- 14/libraries/joomla/database/database.php	2009-05-29 14:54:30.000000000 +0200
+++ 15/libraries/joomla/database/database.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: database.php 11137 2008-10-15 19:47:01Z kdevine $
+* @version		$Id: database.php 12694 2009-09-11 21:03:02Z ian $
 * @package		Joomla.Framework
 * @subpackage	Database
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -959,7 +959,7 @@
 
 		$query = trim( $query );
 		$this->setQuery( $query );
-		if (eregi( '^select', $query )) {
+		if (preg_match('#^select#i', $query )) {
 			$result = $this->loadRowList();
 			return new JRecordSet( $result );
 		} else {
diff -aruN --binary 14/libraries/joomla/database/recordset.php 15/libraries/joomla/database/recordset.php
--- 14/libraries/joomla/database/recordset.php	2009-05-29 14:54:30.000000000 +0200
+++ 15/libraries/joomla/database/recordset.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: recordset.php 11074 2008-10-13 04:54:12Z ian $
+* @version		$Id: recordset.php 13341 2009-10-27 03:03:54Z ian $
 * @package		Joomla.Framework
 * @subpackage	Database
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -11,7 +11,7 @@
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
-
+defined('JPATH_BASE') or die();
 /**
  * Simple Record Set object to allow our database connector to be used with
  * ADODB driven 3rd party libraries
diff -aruN --binary 14/libraries/joomla/database/table/menutypes.php 15/libraries/joomla/database/table/menutypes.php
--- 14/libraries/joomla/database/table/menutypes.php	2009-05-29 14:54:30.000000000 +0200
+++ 15/libraries/joomla/database/table/menutypes.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: menutypes.php 10572 2008-07-21 01:52:00Z pasamio $
+ * @version		$Id: menutypes.php 12698 2009-09-12 02:12:51Z ian $
  * @package		Joomla.Framework
  * @subpackage	Table
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -49,7 +49,16 @@
 	 */
 	function check()
 	{
-		$this->menutype = JFilterOutput::stringURLSafe($this->menutype);
+		
+		$this->menutype = str_replace('-', ' ', $this->menutype);
+
+		$lang =& JFactory::getLanguage();
+		$this->menutype = $lang->transliterate($this->menutype);
+
+		$this->menutype = preg_replace(array('/\s+/','/[^A-Za-z0-9\-\_]/'), array('-',''), $this->menutype);
+
+		$this->menutype = trim(strtolower($this->menutype));
+		
 		if(empty($this->menutype)) {
 			$this->setError( "Cannot save: Empty menu type" );
 			return false;
diff -aruN --binary 14/libraries/joomla/database/table/user.php 15/libraries/joomla/database/table/user.php
--- 14/libraries/joomla/database/table/user.php	2009-05-29 14:54:30.000000000 +0200
+++ 15/libraries/joomla/database/table/user.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: user.php 11223 2008-10-29 03:10:37Z pasamio $
+* @version		$Id: user.php 12694 2009-09-11 21:03:02Z ian $
 * @package		Joomla.Framework
 * @subpackage	Table
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -148,7 +148,7 @@
 			return false;
 		}
 
-		if (eregi( "[<>\"'%;()&]", $this->username) || strlen(utf8_decode($this->username )) < 2) {
+		if (preg_match( "#[<>\"'%;()&]#i", $this->username) || strlen(utf8_decode($this->username )) < 2) {
 			$this->setError( JText::sprintf( 'VALID_AZ09', JText::_( 'Username' ), 2 ) );
 			return false;
 		}
diff -aruN --binary 14/libraries/joomla/document/feed/renderer/rss.php 15/libraries/joomla/document/feed/renderer/rss.php
--- 14/libraries/joomla/document/feed/renderer/rss.php	2009-05-29 14:54:32.000000000 +0200
+++ 15/libraries/joomla/document/feed/renderer/rss.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: rss.php 11806 2009-05-10 00:28:51Z kdevine $
+ * @version		$Id: rss.php 13310 2009-10-24 04:09:35Z ian $
  * @package		Joomla.Framework
  * @subpackage	Document
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -55,7 +55,7 @@
 		$feed = "<rss version=\"2.0\" xmlns:atom=\"http://www.w3.org/2005/Atom\">\n";
 		$feed.= "	<channel>\n";
 		$feed.= "		<title>".$data->title."</title>\n";
-		$feed.= "		<description>".$data->description."</description>\n";
+		$feed.= "		<description>".htmlspecialchars($data->description)."</description>\n";
 		$feed.= "		<link>".str_replace(' ','%20',$url.$data->link)."</link>\n";
 		$feed.= "		<lastBuildDate>".htmlspecialchars($now->toRFC822(), ENT_COMPAT, 'UTF-8')."</lastBuildDate>\n";
 		$feed.= "		<generator>".$data->getGenerator()."</generator>\n";
diff -aruN --binary 14/libraries/joomla/environment/response.php 15/libraries/joomla/environment/response.php
--- 14/libraries/joomla/environment/response.php	2009-05-29 14:54:28.000000000 +0200
+++ 15/libraries/joomla/environment/response.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: response.php 10707 2008-08-21 09:52:47Z eddieajau $
+ * @version		$Id: response.php 13341 2009-10-27 03:03:54Z ian $
  * @package		Joomla.Framework
  * @subpackage	Environment
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -15,6 +15,7 @@
 /**
  * Create the response global object
  */
+defined('JPATH_BASE') or die();
 $GLOBALS['_JRESPONSE'] = new stdClass();
 $GLOBALS['_JRESPONSE']->cachable = false;
 $GLOBALS['_JRESPONSE']->headers  = array();
diff -aruN --binary 14/libraries/joomla/error/error.php 15/libraries/joomla/error/error.php
--- 14/libraries/joomla/error/error.php	2009-05-29 14:54:22.000000000 +0200
+++ 15/libraries/joomla/error/error.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: error.php 10871 2008-08-30 07:30:33Z willebil $
+ * @version		$Id: error.php 13385 2009-10-29 13:35:54Z ian $
  * @package		Joomla.Framework
  * @subpackage	Error
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -547,6 +547,15 @@
 		$document	= & JDocument::getInstance('error');
 		$config		= & JFactory::getConfig();
 
+		//Get the current language direction
+		$language = &JFactory::getLanguage();
+		if ($language->isRTL()){
+		$dir ="rtl";
+		}
+		else {
+		$dir ="ltr";
+		}
+
 		// Get the current template from the application
 		$template = $app->getTemplate();
 
@@ -555,6 +564,8 @@
 
 		@ob_end_clean();
 		$document->setTitle(JText::_('Error').': '.$error->code);
+		$document->setLanguage($language->getTag());
+		$document->setDirection($dir);
 		$data = $document->render(false, array (
 			'template' => $template,
 			'directory' => JPATH_THEMES,
@@ -570,4 +581,4 @@
 	{
 		JError::raise($level, '', $msg);
 	}
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
diff -aruN --binary 14/libraries/joomla/factory.php 15/libraries/joomla/factory.php
--- 14/libraries/joomla/factory.php	2009-06-30 22:01:32.000000000 +0200
+++ 15/libraries/joomla/factory.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: factory.php 12389 2009-07-01 00:34:45Z ian $
+ * @version		$Id: factory.php 13341 2009-10-27 03:03:54Z ian $
  * @package		Joomla.Framework
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
@@ -10,7 +10,7 @@
  * other free or open source software licenses.
  * See COPYRIGHT.php for copyright notices and details.
  */
-
+defined('JPATH_BASE') or die();
 /**
  * Joomla Framework Factory class
  *
diff -aruN --binary 14/libraries/joomla/filesystem/archive.php 15/libraries/joomla/filesystem/archive.php
--- 14/libraries/joomla/filesystem/archive.php	2009-05-29 14:54:22.000000000 +0200
+++ 15/libraries/joomla/filesystem/archive.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: archive.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: archive.php 13341 2009-10-27 03:03:54Z ian $
  * @package		Joomla.Framework
  * @subpackage	FileSystem
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -11,7 +11,7 @@
  * other free or open source software licenses.
  * See COPYRIGHT.php for copyright notices and details.
  */
-
+defined('JPATH_BASE') or die();
 /**
  * An Archive handling class
  *
diff -aruN --binary 14/libraries/joomla/filesystem/path.php 15/libraries/joomla/filesystem/path.php
--- 14/libraries/joomla/filesystem/path.php	2009-05-29 14:54:22.000000000 +0200
+++ 15/libraries/joomla/filesystem/path.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: path.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: path.php 13341 2009-10-27 03:03:54Z ian $
  * @package		Joomla.Framework
  * @subpackage	FileSystem
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -11,7 +11,7 @@
  * other free or open source software licenses.
  * See COPYRIGHT.php for copyright notices and details.
  */
-
+defined('JPATH_BASE') or die();
 /** boolean True if a Windows based host */
 define('JPATH_ISWIN', (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN'));
 /** boolean True if a Mac based host */
diff -aruN --binary 14/libraries/joomla/filter/filteroutput.php 15/libraries/joomla/filter/filteroutput.php
--- 14/libraries/joomla/filter/filteroutput.php	2009-05-29 14:54:22.000000000 +0200
+++ 15/libraries/joomla/filter/filteroutput.php	2009-11-04 18:51:20.000000000 +0100
@@ -11,7 +11,7 @@
  * source software licenses. See COPYRIGHT.php for copyright notices and
  * details.
  */
-
+defined('JPATH_BASE') or die();
 /**
  * JFilterOutput
  *
diff -aruN --binary 14/libraries/joomla/html/editor.php 15/libraries/joomla/html/editor.php
--- 14/libraries/joomla/html/editor.php	2009-06-30 22:01:32.000000000 +0200
+++ 15/libraries/joomla/html/editor.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: editor.php 12075 2009-06-14 18:32:10Z ian $
+ * @version		$Id: editor.php 13376 2009-10-29 01:44:22Z ian $
  * @package		Joomla.Framework
  * @subpackage	HTML
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -39,6 +39,13 @@
 	 * @var string
 	 */
 	var $_name = null;
+	
+	/**
+	 * Editor start and end tag
+	 * Used to tell SEF plugin not to process editor contents
+	 * @var array
+	 */
+	var $_tagForSEF = array('start' => '<!-- Start Editor -->', 'end' => '<!-- End Editor -->'); 
 
 	/**
 	 * constructor
@@ -150,7 +157,7 @@
 				$return .= $result;
 			}
 		}
-		return $return;
+		return $this->_tagForSEF['start'] . $return . $this->_tagForSEF['end'];
 	}
 
 	/**
diff -aruN --binary 14/libraries/joomla/html/html/behavior.php 15/libraries/joomla/html/html/behavior.php
--- 14/libraries/joomla/html/html/behavior.php	2009-05-29 14:54:28.000000000 +0200
+++ 15/libraries/joomla/html/html/behavior.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: behavior.php 11683 2009-03-08 20:55:17Z willebil $
+* @version		$Id: behavior.php 13341 2009-10-27 03:03:54Z ian $
 * @package		Joomla.Framework
 * @subpackage	HTML
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -11,7 +11,7 @@
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
-
+defined('JPATH_BASE') or die();
 /**
  * Utility class for javascript behaviors
  *
diff -aruN --binary 14/libraries/joomla/html/html/email.php 15/libraries/joomla/html/html/email.php
--- 14/libraries/joomla/html/html/email.php	2009-05-29 14:54:28.000000000 +0200
+++ 15/libraries/joomla/html/html/email.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: email.php 11236 2008-11-02 02:44:35Z ian $
+* @version		$Id: email.php 13341 2009-10-27 03:03:54Z ian $
 * @package		Joomla.Framework
 * @subpackage	HTML
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -11,7 +11,7 @@
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
-
+defined('JPATH_BASE') or die();
 /**
  * Utility class for cloaking email adresses
  *
@@ -27,7 +27,7 @@
 	*
  	* By default replaces an email with a mailto link with email cloacked
 	*/
-	function cloak( $mail, $mailto=1, $text='', $email=1 )
+	function cloak( $mail, $mailto=1, $text='', $email=1, $prefix='mailto:', $suffix='', $attribs='' )
 	{
 		// convert text
 		$mail 			= JHTMLEmail::_convertEncoding( $mail );
@@ -36,10 +36,14 @@
 		$mail_parts		= explode( '.', $mail[1] );
 		// random number
 		$rand			= rand( 1, 100000 );
+        // obfuscate prefix
+        $prefix = JHTMLEmail::_convertEncoding( $prefix );
 
 		$replacement 	= "\n <script language='JavaScript' type='text/javascript'>";
 		$replacement 	.= "\n <!--";
-		$replacement 	.= "\n var prefix = '&#109;a' + 'i&#108;' + '&#116;o';";
+		$replacement 	.= "\n var prefix = '$prefix';";
+        $replacement    .= "\n var suffix = '$suffix';";
+        $replacement    .= "\n var attribs = '$attribs';";
 		$replacement 	.= "\n var path = 'hr' + 'ef' + '=';";
 		$replacement 	.= "\n var addy". $rand ." = '". @$mail[0] ."' + '&#64;';";
 		$replacement 	.= "\n addy". $rand ." = addy". $rand ." + '". implode( "' + '&#46;' + '", $mail_parts ) ."';";
@@ -57,11 +61,11 @@
 				} else {
 					$replacement 	.= "\n var addy_text". $rand ." = '". $text ."';";
 				}
-				$replacement 	.= "\n document.write( '<a ' + path + '\'' + prefix + ':' + addy". $rand ." + '\'>' );";
+				$replacement 	.= "\n document.write( '<a ' + path + '\'' + prefix + addy". $rand ." + suffix + '\'' + attribs + '>' );";
 				$replacement 	.= "\n document.write( addy_text". $rand ." );";
 				$replacement 	.= "\n document.write( '<\/a>' );";
 			} else {
-				$replacement 	.= "\n document.write( '<a ' + path + '\'' + prefix + ':' + addy". $rand ." + '\'>' );";
+				$replacement 	.= "\n document.write( '<a ' + path + '\'' + prefix + addy". $rand ." + suffix + '\'' + attribs + '>' );";
 				$replacement 	.= "\n document.write( addy". $rand ." );";
 				$replacement 	.= "\n document.write( '<\/a>' );";
 			}
@@ -69,7 +73,7 @@
 			$replacement 	.= "\n document.write( addy". $rand ." );";
 		}
 		$replacement 	.= "\n //-->";
-		$replacement 	.= '\n </script> ';
+		$replacement 	.= "\n </script> ";
 
 		// XHTML compliance `No Javascript` text handling
 		$replacement 	.= "<script language='JavaScript' type='text/javascript'>";
@@ -101,3 +105,4 @@
 	}
 }
 
+
diff -aruN --binary 14/libraries/joomla/html/html/form.php 15/libraries/joomla/html/html/form.php
--- 14/libraries/joomla/html/html/form.php	2009-05-29 14:54:28.000000000 +0200
+++ 15/libraries/joomla/html/html/form.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: form.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: form.php 13341 2009-10-27 03:03:54Z ian $
  * @package		Joomla.Framework
  * @subpackage	HTML
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -11,7 +11,7 @@
  * other free or open source software licenses.
  * See COPYRIGHT.php for copyright notices and details.
  */
-
+defined('JPATH_BASE') or die();
 /**
  * Utility class for form elements
  *
diff -aruN --binary 14/libraries/joomla/html/html/grid.php 15/libraries/joomla/html/html/grid.php
--- 14/libraries/joomla/html/html/grid.php	2009-05-29 14:54:28.000000000 +0200
+++ 15/libraries/joomla/html/html/grid.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: grid.php 11682 2009-03-08 20:54:02Z willebil $
+* @version		$Id: grid.php 13341 2009-10-27 03:03:54Z ian $
 * @package		Joomla.Framework
 * @subpackage	HTML
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -11,7 +11,7 @@
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
-
+defined('JPATH_BASE') or die();
 /**
  * Utility class for creating HTML Grids
  *
